Listar Sessões de Checkout
curl --request GET \
--url https://api.billing.upag.io/v1/checkout-sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.billing.upag.io/v1/checkout-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.billing.upag.io/v1/checkout-sessions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Sessões de Checkout
Listar Sessões de Checkout
Retorna uma lista de todas as sessões de checkout
GET
https://api.billing.upag.io
/
v1
/
checkout-sessions
Listar Sessões de Checkout
curl --request GET \
--url https://api.billing.upag.io/v1/checkout-sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.billing.upag.io/v1/checkout-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.billing.upag.io/v1/checkout-sessions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Retorna uma lista paginada de todas as sessões de checkout.
Endpoint
cURL
curl -G https://api.billing.upag.io/v1/checkout-sessions \
-H "Authorization: Bearer {token}" \
-d page=1 \
-d limit=10
Parâmetros
integer
Limita o número de sessões retornadas. Padrão:
10, máximo: 100.integer
Número da página a ser retornada. Padrão:
1.Resposta
Response
{
"data": [
{
"id": "cs_abc123xyz",
"status": "open",
"customerId": "cus_ahwDXrgYvur89iPs",
"url": "https://checkout.upag.io/cs_abc123xyz",
"billingAddressCollection": false,
"successUrl": "https://example.com/success",
"cancelUrl": "https://example.com/cancel",
"latitude": null,
"longitude": null,
"country": null,
"region": null,
"city": null,
"expiresAt": "2024-11-16T10:00:00.000Z",
"createdAt": "2024-11-15T10:00:00.000Z",
"updatedAt": "2024-11-15T10:00:00.000Z",
"items": []
}
],
"total": 1
}